Subject: bug#56393: Actually fix the long lines display bug

From: Gregory Heytings <[email-masked]>
Date: Sat, 09 Jul 2022 11:09:40 +0000

>
> I'm playing with the branch, and I see some problems.  I fixed a
> couple,
>

Thanks.  I don't know why I forgot to check for a non-zero narrowed_begv 
in find_automatic_composition.

>
> Try this:
>
>  emacs -Q
>  C-x C-f src/xdisp.c RET
>  M->
>  C-u 37100 C-p
>
> This signals an error "Beginning of buffer".
>

Nice.  That's a recipe you concocted knowing the implementation details, 
didn't you?  😉

>
> And if I use M-v instead of C-p, I don't get an error message, but I 
> don't get to the line I wanted, either: it silently stops much earlier.
>

This I cannot reproduce, I can scroll through the whole buffer with M-v 
without any visible problems.  I tried to set the auto repeat rate to 50, 
and still do not see any problems.

>
> Also, are you running with assertions enabled?  If not, please configure 
> --enable-checking='yes,glyphs', because some problems are detected much 
> earlier then (the ones I fixed were such problems).
>

I'll do that.